OnlyFans API
OnlyFansAI Fan Summaries

Create Custom Summary Category

Create a custom fan summary category for your Team (max 10). The category label becomes an additional field in every subsequently generated fan summary, and the keywords are used to retrieve matching fan messages.

POST
/api/fan-summary-categories
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Request Body

application/json

label*string

Display label for the category. Also determines the immutable field key in summary_data (e.g. "Gift Preferences" becomes custom_gift_preferences).

keywords*string

Comma-separated keywords used to find relevant fan messages for this category.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fan-summary-categories" \  -H "Content-Type: application/json" \  -d '{    "label": "Gift Preferences",    "keywords": "gift, wishlist, amazon, spoil, surprise, present"  }'
{
  "data": {
    "id": "fan_cat_abc123",
    "key": "custom_gift_preferences",
    "label": "Gift Preferences",
    "keywords": "gift, wishlist, amazon, spoil, surprise, present",
    "created_at": "2026-07-17T12:00:00.000000Z"
  }
}